
Installer - Bug #25951

foreman-installer does not output credentials after finishing the installation

01/31/2019 12:13 PM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: foreman-installer script   

Target version: 1.21.0   

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/317

  

Description

When the installer finishes, the output looks like this:

  Success!

  * Foreman is running at https://centos7-foreman-1-21.kangae.example.com

  * Foreman Proxy is running at https://centos7-foreman-1-21.kangae.example.com:8443

  * Puppetmaster is running at port 8140

  The full log is at /var/log/foreman-installer/foreman.log

 But I am used to see the initial creds in the output

  Success!

  * Foreman is running at https://centos7-foreman-1-21.kangae.example.com

      Initial credentials are admin / changeme

  * Foreman Proxy is running at https://centos7-foreman-1-21.kangae.example.com:8443

  * Puppetmaster is running at port 8140

  The full log is at /var/log/foreman-installer/foreman.log

Related issues:

Related to Foreman - Tracker #24799: [tracker] Remove settings to disable tax... Resolved

Associated revisions

Revision e8a1e5af - 01/31/2019 12:55 PM - Evgeni Golov

Fixes #25951 - always print the credentials after install

authentication is mandatory now and the param is undef

History

#1 - 01/31/2019 12:14 PM - Evgeni Golov

- Project changed from Foreman to Installer

- Category set to foreman-installer script

#2 - 01/31/2019 12:14 PM - Evgeni Golov

reported by gislaved in #theforeman

#3 - 01/31/2019 12:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/317 added

#4 - 01/31/2019 12:18 PM - Evgeni Golov

- Related to Tracker #24799: [tracker] Remove settings to disable taxonomies and login added
#5 - 01/31/2019 01:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset e8a1e5afa89fad2b49576c5b4b1c5adf39dd53c2.

#6 - 02/05/2019 09:38 AM - Tomer Brisker

- Fixed in Releases 1.21.0 added
